Subject: bug#36728: closed (Re: bug#36728: LibreOffice fails to open hyperlinks)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jul 2019 23:51:02 +0000

Your bug report

#36728: LibreOffice fails to open hyperlinks

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36728: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36728
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36728: LibreOffice fails to open hyperlinks
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jul 2019 16:50:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Chris Marusich <[email-masked]> writes:

> Chris Marusich <[email-masked]> writes:
>
>> I have a fix and will post it in a moment.
>
> I've verified that the attached patch fixes the issue.  It took over 4
> hours to build libreoffice on 1 core on my x200 laptop (not including
> the time it took to build dependencies).  I would normally push this
> directly to master because no packages depend on libreoffice, but the
> long build time gave me pause.
>
> Should I commit this change to master or to somewhere else?

I've committed this to the master branch as
afb986e77cd669c2f21953f501f7893237730ca7.  Closing.

-- 
Chris

Subject: LibreOffice fails to open hyperlinks
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Thu, 18 Jul 2019 22:10:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

LibreOffice cannot open hyperlinks on Guix System.  This is because it
attempts to invoke /usr/bin/xdg-open, which does not exist.  For
example, if you launch "libreoffice" on the command line and then
attempt to open a hyperlink via Control + Left Click in Calc, you'll get
the following message:

  sh: /usr/bin/xdg-open: No such file or directory

I have a fix and will post it in a moment.

-- 
Chris